# Seikkalia Adventure Importer

## Initial changes
To start working on the module you need to make several initial changes:
1) replace string `module-template-v2` to the package name of your module in all files
1) replace string `module-template-v2` to the package name of your module in all files
2) replace variables `[Adventure Name]` and `[Adventure Description]` in manifest.json
4) replate texts in the welcome-screen.html
5) set `BASE JOURNAL NAME` in file lib.js to the name of the journal you want to show after import and `[Adventure Name]` to the name of Journal Folder.
6) replace mnifest-banner.jpg image with the image with the same dimensions

## Preparing your adventure
To prepare your adevnture, you need to pack your data into compendiums procided by the module.

### Items and actors
Items and actors can go into provided compeniums. For actors, two compendiums are prepared - NPC and Monster. For items, Items compendium exists to store the items needed in the adventure.

### Journal entries
Journal entries are sorted on import and grouped into subfolders based on name. Naming scheme for journal entries is as follows:
1) 1. , 2.,  3. - sorted main journal entries (eg `1. Introduction`)
2) NPC - [Name] - aded into NPC subfolder (eg. `NPC - The Hand of Doom`)
2) Handout - [Name] - aded into Hanouts subfolder (eg. `Handout - Pretty Picture`)

Prefixes are removed from imported journal entries.

Linking jounal entries to other journal entries is dony by marking them in square brackets, eg. [The Hand of Doom] will make a link to a journal entry named (after import and prefix stripping) `The Hand of Doom`. To link text to actor, add its name in curly brackets `{The Hand of Doom}`.

